package com.ruoyi.web.primary.service;

import com.ruoyi.web.primary.entity.DatabaseMetadata;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.beans.PropertyValues;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2025-11-25
 */
public interface IDatabaseMetadataService extends IService<DatabaseMetadata> {

    List<DatabaseMetadata> getAllConfigs();

    DatabaseMetadata selectByName(String dbName);

    DatabaseMetadata selectByAccountId(String userId);
}
